
QGIS Application - Bug report #12264

Heatmap generated TIF with bad CRS

2015-02-25 02:47 AM - Janos Meszaros

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Analysis library

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20449

Description

Heatmap generated with plugin placed in the center of used coordinate reference system, instead of actual location. It looks like QGIS can

not interpret real coordinates written in TIF file header, instead it uses the coordinates of pixels in image. The used CRS was a cartesian

system (epsg: 23700), not geographical.

If image was opened in other GIS software e.g. Global Mapper, it can open it and interprets its projection but it interchanges the axes.

Associated revisions

Revision f106a2ef - 2015-02-27 04:59 AM - Nyall Dawson

Fix handling of warped VRT (refs #12264)

Loading of rasters requiring warped VRTs was broken, but the heatmap

plugin is still creating incorrect outputs which needs to be fixed.

Revision ffaa4989 - 2015-02-28 10:34 AM - Nyall Dawson

Fix handling of warped VRT (refs #12264)

Loading of rasters requiring warped VRTs was broken, but the heatmap

plugin is still creating incorrect outputs which needs to be fixed.

History

#1 - 2015-02-26 12:29 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi,

can you share a sample of your input data? Thanks.

#2 - 2015-02-26 04:09 AM - Janos Meszaros

- File heatmap_sample.ZIP added

I attached a zip file containing a Shapefile with drilling points for geological measurements, nothing special except coordinate reference system: please use

the HD72/EOV system or 23700 EPSG code to identify proper projection in QGIS.
#3 - 2015-02-26 06:07 AM - Giovanni Manghi

- OS version deleted (win7 x64)

- Affected QGIS version changed from 2.8.0 to 2.8.1

- Operating System deleted (Windows)

- Target version changed from Version 2.8 to Version 2.8.2

- Priority changed from Normal to Severe/Regression

- Status changed from Feedback to Open

I confirm that there is something wrong in this tool and that ti was working ok in previous qgis releases.

#4 - 2015-02-27 08:25 AM - Pekka Sarkola

It seems that this more common issue than just Heatmap generated files.

I generate my raster outside QGIS (with gdal_grid): origin and image size is correct. But extent is calculated uncorretly.

Only tested with EPSG:3067, but I presume this is wider problem.

P

#5 - 2015-03-02 08:59 AM - Luiz Andrade

- File points.zip added

I´ve made some tests using this data. I found the same problem.

#6 - 2015-05-10 01:13 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

seems fixed in qgis master, please reopen if necessary.

#7 - 2017-01-02 01:26 AM - Giovanni Manghi

- Category changed from 114 to Analysis library

Files

heatmap_01_qgis.png 384 KB 2015-02-25 Janos Meszaros

heatmap_01_gm.png 398 KB 2015-02-25 Janos Meszaros

heatmap_sample.ZIP 77.1 KB 2015-02-26 Janos Meszaros

points.zip 3.54 KB 2015-03-02 Luiz Andrade
